import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import { Product } from '../../models/product'
import { DataProvider } from '../../providers/data-provider'

@Component({
    selector: 'page-product-details',
    providers: [DataProvider],
    templateUrl: 'product-details.html'
})
export class ProductDetailsPage {

    constructor(public navCtrl: NavController, public data: DataProvider) {}

    ionViewDidLoad() {
        this.data.save('product', {
            name: 'product',
            price: 1000
        });
    }
}
